org.jboss.resteasy.client.core.extractors

## Class DefaultEntityExtractorFactory

- java.lang.Object
- - org.jboss.resteasy.client.core.extractors.DefaultEntityExtractorFactory

- All Implemented Interfaces:
    EntityExtractorFactory
  Direct Known Subclasses:
    ResponseObjectEntityExtractorFactory

      public class DefaultEntityExtractorFactory
      extends Object
      implements EntityExtractorFactory

  Author:
    Solomon.Duskis

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EntityExtractor` | `clientResponseExtractor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultEntityExtractorFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntityExtractor` | `createExtractor(Method method)`
    `protected EntityExtractor` | `createResponseTypeEntityExtractor(Method method)`
    `static EntityExtractor<Response.Status>` | `createStatusExtractor(boolean release)`
    `static EntityExtractor` | `createVoidExtractor(boolean release)`
    `static boolean` | `isVoidReturnType(Class<?> returnType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientResponseExtractor

          public static final EntityExtractor clientResponseExtractor

  - ### Constructor Detail

    - #### DefaultEntityExtractorFactory

          public DefaultEntityExtractorFactory()

  - ### Method Detail

    - #### createStatusExtractor

          public static EntityExtractor<Response.Status> createStatusExtractor(boolean release)

    - #### createVoidExtractor

          public static final EntityExtractor createVoidExtractor(boolean release)

    - #### createExtractor

          public EntityExtractor createExtractor(Method method)

      Specified by:
        `createExtractor` in interface `EntityExtractorFactory`

    - #### createResponseTypeEntityExtractor

          protected EntityExtractor createResponseTypeEntityExtractor(Method method)

    - #### isVoidReturnType

          public static final boolean isVoidReturnType(Class<?> returnType)

Copyright © 2014. All Rights Reserved.